#
# spec file for package chan_capi (Version 1.1.5)
#
#

# norootforbuild

BuildRequires: libpri >= 1.4.1

Name:           chan_capi
Version:        1.1.5
Release:        2.19
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  asterisk asterisk-devel capi4linux
%if 0%{?suse_version} >= 1030
BuildRequires:  capi4linux-devel
%endif
Group:          Productivity/Telephony/Servers
Summary:        CAPI channel module for asterisk PBX
Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}.diff

%description
ChanCapi is a module for the open source software PBX systems Asterisk
to provide CAPI based ISDN/Telephony hardware support.

This module (often declared as 'driver', but it isn't) provides the connection 
between the PBX software and ISDN Hardware which provides a CAPI 2.0 compatible interface.



%prep
%setup  -n %{name}-%{version}
%patch -p1

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sysconfdir}/asterisk
mkdir -p %{buildroot}/%{_libdir}/asterisk/modules

%{__make} install DESTDIR=%{buildroot}
%{__make} install_config DESTDIR=%{buildroot}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc CHANGES README
%{_libdir}/asterisk/modules/chan_capi.so
%{_sysconfdir}/asterisk/capi.conf
